<?

// Connects to database
function db_connect() {
	return new mysqli("localhost", "sienasel_sbxusr", "Sandbox@)!&", "sienasel_sandbox");	
}


/* ------------------------- Document Structure Functions ---------------------------- */

// Print html header with bootstrap css and page title
function print_html_header($title) {
	
    if ($title != "Login")
		$menu = make_menu_bs($title);
	
	echo '
<!DOCTYPE html>
<html lang="en">
	<head>
	  <meta charset="utf-8">
	  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	  <title>'.$title.'</title>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css">
		<link rel="stylesheet" href="css/style.css">
	</head>
	<body>
		<div class="container">	
			'.$menu.'
		<div class="content">	
	';
    if ($title != "Login")
        echo '<h1>'.$title.'</h1>';
}

// Print html footer with bootstrap js
function print_html_footer() {
	echo '
        </div> <!-- /content -->
		</div> <!-- /container -->	
		<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
		<script src="js/script.js"></script>
	</body>
</html>
	';
}

/* ------------------------- Main Menu Functions ---------------------------- */

// Get main menu items
function get_menu_items($title) {
	$items['home.php'] = "Home";
	$items['insert_question.php'] = "Insert Question";
	$items['play_trivia.php'] = "Play Trivia";
	$items['leaderboard.php'] = "View Leader Board";
	$items['rank_questions.php'] = "Rank Questions";
	
	$usertype = $_SESSION['usertype'];
	if($usertype == 'admin'){
		$items['delete_question.php'] = "Delete Question";
        $items['delete_user.php'] = "Delete Users";
        $items['create_admin.php'] = "Create Admins";
	}
	$items['logout.php'] = "Logout";
		
	foreach ($items as $key=>$value) {
		$active = '';
		if ($value==$title) $active = "active";
		$menu_items .= '
		  <li class="nav-item">
		    <a class="nav-link '.$active.'" href="'.$key.'">'.$value.'</a>
		  </li>
		';
	}
	return $menu_items;
}

// Make main menu with basic Bootstrap classes
function make_menu($title) {;	
	$menu = '<ul class="nav nav-pills">';
  $menu .= get_menu_items($title);
	$menu .= '</ul>';
	return $menu;
}

// Make main menu with responsive Bootstrap classes
function make_menu_bs($title) {
	$menu = '
	<nav class="navbar navbar-toggleable-md navbar-light bg-faded">
  	<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" 
  	        data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    	<span class="navbar-toggler-icon"></span>
		</button>
		<a class="navbar-brand" href="home.php">Trivia</a>
		<div class="collapse navbar-collapse" id="navbarNav">
    	<ul class="navbar-nav">';
	$menu .= get_menu_items($title);
	$menu .= '
			</ul>
		</div>
	</nav>';
	return $menu;
}

// Print the question table
function print_question_table($mysqli) {

	// First, print the columns, i.e, field names
	$result = $mysqli->query("SHOW COLUMNS FROM Questions50173594");
	echo '<table class="table table-striped">';
	echo '<thead class="thead-inverse">';
	echo '<tr>';
	while ($row = $result->fetch_row()) {
		echo '<th>'.$row[0]."</th>";
	}
	echo '</tr>';
	echo '<thead>';
	$result->close();
	
	// Second, print all the rows
	$result = $mysqli->query("SELECT * FROM Questions50173594 ORDER BY id DESC");
	echo '<tbody>';
	while ($row = $result->fetch_row()) {
		echo '<tr>';
		foreach ($row as $value) {
			echo '<td>'.$value.'</td>';
		}
		echo '</tr>';
	}
	echo '</tbody>';
	echo '</table>';
	$result->close();
}

// Print the login form
function print_login_form($error) {
	echo '
  <form method="post" action="index.php">
    <label>
    	Username: 
    	<input name="username" type="text">
    </label>
    <label>
    	Password: 
    	<input name="password" type="password">
    </label>
    <br>
    <input type="submit" name="action" value="Login"> 
    <br>
    <input type="submit" name="action" value="Create User"> 
    '.$error.'
  </form>
  ';
}

// Print the insert question form 
function print_insert_question_form($error, $q, $a) {

	if ($error) 
		$message = "All fields must be filled out";

	echo '		
  <form method="post" action="insert_question.php">
  	
		<label>Question<br>
		<textarea name="question" rows="3">'.$q[0].'</textarea>
		</label><br>
		
		<label>Choice 1
		<br>
		<input type="text" name="choice1" size="50" value="'.$q[1].'">
		</label>
		<input type="radio" name="answer" value="1" '.$a[1].'>
		<br>
		
		<label>Choice 2
		<br>
		<input type="text" name="choice2" size="50" value="'.$q[2].'">
		</label>
		<input type="radio" name="answer" value="2" '.$a[2].'>
		<br>
		
		<label>Choice 3
		<br>
		<input type="text" name="choice3" size="50" value="'.$q[3].'">
		</label>
		<input type="radio" name="answer" value="3" '.$a[3].'>
		<br>
		
		<label>Choice 4
		<br>
		<input type="text" name="choice4" size="50" value="'.$q[4].'">
		</label>
		<input type="radio" name="answer" value="4" '.$a[4].'>
		<br>
					
		<input type="submit" name="action" value="Insert">
		'.$message.'
	</form>
	';
}
	
?>